use rand::Rng;
use std::cmp::Ordering;
use std::io;

fn main() {
    println!("Zgadnij liczbę!");

    let secret_number = rand::thread_rng().gen_range(1..=100);

    // ANCHOR: here
    loop {
        // --fragment pominięty--

        // ANCHOR_END: here
        println!("Wpisz swój typ.");

        let mut guess = String::new();

        io::stdin()
            .read_line(&mut guess)
            .expect("Nie udało się odczytać linii");

        // ANCHOR: here
        let guess: i32 = match guess.trim().parse() {
            Ok(num) => num,
            Err(_) => continue,
        };

        if guess < 1 || guess > 100 {
            println!("Sekretna liczba będzie miała wartość z przedziału od 1 do 100.");
            continue;
        }

        match guess.cmp(&secret_number) {
            // --fragment pominięty--
            // ANCHOR_END: here
            Ordering::Less => println!("Za mała liczba!"),
            Ordering::Greater => println!("Za duża liczba!"),
            Ordering::Equal => {
                println!("Zgadłeś!");
                break;
            }
        }
        // ANCHOR: here
    }
    // ANCHOR_END: here
}
